[

    { "id": "INBEAM_DEP",      "name": "Deployable Arm",        "type": "linear", "unit": ["steps"], "abs": 1,      "rel": 2,      "default": "abs", "label": "label-inbeam-dep",  "value": "value-inbeam-dep",  "icon": "in-inbeam-dep" },

    { "id": "INBEAM_TT",       "name": "Tip-Tilt",              "type": "xyDevice",
      "unit_x": ["steps"], "abs_x": 5.0,    "rel_x": 6.01,   "default_x": "rel_x",
      "unit_y": ["steps"], "abs_y": 5.0,    "rel_y": 6.01,   "default_y": "rel_y",
      "label": "label-inbeam-tt", "value": "value-inbeam-tt", "icon": "in-inbeam-tt" },

    { "id": "SHUTTER",                "name": "Instrument shutter",    "type": "linear", "unit": ["steps"], "abs": 1.3,    "rel": 2235,   "default": "abs", "label": "label-shutter",     "value": "value-shutter",     "icon": "in-shutter" },
                                                                       
    { "id": "ND_FILT_W",              "name": "Neutal Density Wheel",  "type": "wheel",  "unit": ["steps"], "abs": 1.234,  "rel": 0.002,  "default": "abs", "label": "label-nd",          "value": "value-nd",          "icon": "ao-nd" },
                                                                       
    { "id": "APODIZER_W",             "name": "Apodizer Wheel",        "type": "wheel",  "unit": ["steps"], "abs": 10.654, "rel": 0.632,  "default": "abs", "label": "label-apo",         "value": "value-apo",         "icon": "coro-apo" },
    { "id": "CORO_SLIT_W",            "name": "Coronagraphy Wheel",    "type": "wheel",  "unit": ["steps"], "abs": 1.3456, "rel": 2.123,  "default": "abs", "label": "label-coro",        "value": "value-coro",        "icon": "coro-coro" },
    { "id": "LYOT_GRISM_W",           "name": "Lyot Stop Wheel",       "type": "wheel",  "unit": ["steps"], "abs": 1654.3, "rel": 6.342,  "default": "abs", "label": "label-lyot",        "value": "value-lyot",        "icon": "coro-lyot" },
                                                                       
    { "id": "SCI_FILT_W1",            "name": "Scientific Wheel 1",    "type": "wheel",  "unit": ["steps"], "abs": 1.345,  "rel": 11.234, "default": "abs", "label": "label-sci1",        "value": "value-sci1",        "icon": "sci-sci1" },
    { "id": "SCI_FILT_W2",            "name": "Scientific Wheel 2",    "type": "wheel",  "unit": ["steps"], "abs": 1.431,  "rel": 2.462,  "default": "abs", "label": "label-sci2",        "value": "value-sci2",        "icon": "sci-sci2" },
    { "id": "PUPIL_LENS_DEP",         "name": "Pupil Lens Depl Arm",   "type": "linear", "unit": ["steps"], "abs": 1.345,  "rel": 1232.4, "default": "abs", "label": "label-lens-dep",    "value": "value-lens-dep",    "icon": "sci-lens-dep" },
    { "id": "DB_FILT_W",              "name": "Dual Band Filt Wheel",  "type": "wheel",  "unit": ["steps"], "abs": 1.5432, "rel": 2.7654, "default": "abs", "label": "label-db",          "value": "value-db",          "icon": "sci-db" },
                                      
    { "id": "DEROT",                  "name": "De-Rotator",            "type": "wheel",  "unit": ["steps"], "abs": 1.2,    "rel": 2.68,   "default": "abs", "label": "label-derot",       "value": "value-derot",       "icon": "track-derot" },
    { "id": "ADC1",                   "name": "Atmo Disp Corrector 1", "type": "wheel",  "unit": ["steps"], "abs": 1.2343, "rel": 2.456,  "default": "abs", "label": "label-adc1",        "value": "value-adc1",        "icon": "track-adc1" },
    { "id": "ADC2",                   "name": "Atmo Disp Corrector 2", "type": "wheel",  "unit": ["steps"], "abs": 1.2345, "rel": 2.8765, "default": "abs", "label": "label-adc2",        "value": "value-adc2",        "icon": "track-adc2" },

    { "id": "CAL_FIBER_DEFOCUS_LAMP", "name": "Fiber defocus lamp",    "type": "lamp",                                                    "default": "",    "label": "label-fiber-focus", "value": "value-fiber-lamp2", "icon": "cal-fiber-lamp" },
    { "id": "CAL_FIBER_FOCUS_LAMP",   "name": "Fiber focus lamp",      "type": "lamp",                                                    "default": "",    "label": "label-fiber-defoc", "value": "value-fiber-lamp1", "icon": "cal-fiber-lamp" },
    { "id": "CAL_FF_LAMP",            "name": "Fiber flat field lamp", "type": "lamp",                                                    "default": "",    "label": "label-ff-lamp",     "value": "value-ff-lamp=",    "icon": "cal-ff-lamp" },
    { "id": "CAL_FIBER_DEP",          "name": "Fiber Deployer 1",      "type": "linear", "unit": ["steps"], "abs": 1.543,  "rel": 2.235,  "default": "abs", "label": "label-fiber-dep",   "value": "value-fiber-dep",   "icon": "cal-fiber-dep" },
    { "id": "CAL_FILTER_DEP",         "name": "Fiber Deployer 2",      "type": "linear", "unit": ["steps"], "abs": 1.543,  "rel": 2.124,  "default": "abs", "label": "label-filter-dep",  "value": "value-filter-dep",  "icon": "cal-filter-dep" },
    { "id": "CAL_MIRROR_DEP",         "name": "Calibration Unit",      "type": "linear", "unit": ["steps"], "abs": 7.89,   "rel": 10.12,  "default": "abs", "label": "label-mirror-dep",  "value": "value-mirror-dep",  "icon": "cal-mirror-dep" }

]
